Intel® Enhanced Privacy ID SDK 2.0.0

Functions
context.c File Reference

Verifier context implementation. More...

`#include <string.h>`
`#include "epid/verifier/api.h"`
`#include "epid/verifier/context.h"`
`#include "epid/common/epid2params.h"`
`#include "epid/common/memory.h"`
`#include "epid/common/math/pairing.h"`
`#include "epid/common/endian_convert.h"`
`#include "epid/common/sigrlvalid.h"`

## Functions
EpidStatus | EpidVerifierCreate (GroupPubKey const *pubkey, VerifierPrecomp const *precomp, VerifierCtx **ctx)
| Creates a new verifier context. More...
void | EpidVerifierDelete (VerifierCtx **ctx)
| Deletes an existing verifier context. More...
EpidStatus | EpidVerifierWritePrecomp (VerifierCtx const *ctx, VerifierPrecomp *precomp)
| Serializes the pre-computed verifier settings. More...
EpidStatus | EpidVerifierSetPrivRl (VerifierCtx *ctx, PrivRl const *priv_rl, size_t priv_rl_size)
| Sets the private key based revocation list. More...
EpidStatus | EpidVerifierSetSigRl (VerifierCtx *ctx, SigRl const *sig_rl, size_t sig_rl_size)
| Sets the signature based revocation list. More...
EpidStatus | EpidVerifierSetGroupRl (VerifierCtx *ctx, GroupRl const *grp_rl, size_t grp_rl_size)
| Sets the group based revocation list. More...
EpidStatus | EpidVerifierSetVerifierRl (VerifierCtx *ctx, VerifierRl const *ver_rl, size_t ver_rl_size)
| Sets the verifier revocation list. More...
EpidStatus | EpidVerifierSetHashAlg (VerifierCtx *ctx, HashAlg hash_alg)
| Sets the hash algorithm to be used by a verifier. More...

## Detailed Description

Verifier context implementation.